import { AM } from './polyline';
import * as ol from 'openlayers';
export declare let colorArr: Array<string>;
export declare let polygonStyle: (feature: any) => any;
export declare let getLayer: (url: string, styleFunction: any) => any;
export declare function createPolygon(coordinates: Array<Array<Array<number>>>, id?: string, strokeColor?: string, fillColor?: string): ol.layer.Vector;
export declare function createPolygonGeojson(geoJsonObj: any, fillColor?: string, stroke?: string): ol.layer.Vector;
export declare function fit(map: any, points: any, opts?: any): void;
export declare function zoomIn(map: any): void;
export declare function zoomOut(map: any): void;
export declare function createGPSPoints(gpscoordinatelist: any, isGCJ02Point?: boolean, am?: AM): Array<Array<number>>;
export declare function createPolylinePoints(amworkdatalist: any, isGCJ02Point?: boolean, callback?: Function): any;
export declare function getLngAndLatMaxMin(coordinates: Array<Array<number>>): Array<number>;
export declare function createGeoJson(coordinates: Array<Array<number>>, properties?: any, type?: string): any;
export declare function rayCasting(p: any, poly: any): boolean;
