import * as ol from 'openlayers';
export declare class Draw {
    private _darwType;
    private _callback;
    private _map;
    private _strokeColor;
    private _fillColor;
    private _source;
    private _vector;
    private _draw;
    private _sketch;
    private _measureTooltip;
    private _helpTooltip;
    private _pointerMoveHandler;
    constructor(_darwType: string, _callback: any, _map: ol.Map, _strokeColor?: string, _fillColor?: string);
    private _init();
    private _addInteraction();
    private _createMarker();
    private _drawBinDrawstart();
    private _drawBinDrawend();
    _clear(): void;
}
export declare class Polygon {
    private _darwType;
    private _callback;
    private _map;
    private _strokeColor;
    private _fillColor;
    private _source;
    private _vector;
    private _draw;
    private _sketch;
    private _helpTooltip;
    private _pointerMoveHandler;
    constructor(_darwType: string, _callback: any, _map: ol.Map, _strokeColor?: string, _fillColor?: string);
    private _init();
    private _addInteraction();
    private _createMarker();
    private _drawBinDrawstart();
    private _drawBinDrawend();
    _clear(): void;
}
