import * as ol from 'openlayers';
export declare class Polyline {
    private _layer;
    private _lineFeature;
    private _source;
    private _color;
    private _polylineWidth;
    private _map;
    private _pointArr;
    constructor(options: {
        color: string;
        width: number;
        pointArr: any;
    }, map: ol.Map);
    private _createPolyline();
    setPolylineColor(color: string): void;
    getLayer(): ol.layer.Vector;
    setPolylineWidth(width: number): void;
    removePolyline(): void;
}
export declare class AM {
    xMax: number;
    xMin: number;
    yMax: number;
    yMin: number;
    getLngAndLatMaxMin(latlnt: {
        X: number;
        Y: number;
    }): void;
    getLngLats(): Array<Array<number>>;
}
export declare function getDeepColorNew(workstate: any, colors?: Array<string>): string;
export declare function getDeepColor(optrtdephts: any, workstate: any, standarddepth: any, colors?: Array<string>): string;
export declare function addPolylinePoint(workData: any, map: ol.Map, colors?: Array<string>): Array<Polyline>;
export declare function addPolylinePointAndDepth(workData: any, standarddepth: number, map: ol.Map, colors?: Array<string>): Array<Polyline>;
